<!DOCTYPE html>
<html>
	<head>
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>HTML Tables and Forms</title>
	</head>

<body>

	<header>
		<h2>HTML Entities</h2>
	</header>

	<main>
		<section>
			<p>
				<em>
					Reserved characters in HTML (e.g. &lt;,&gt;) that can mix up with HTML code
				</em>	
			</p>

			<table border="2">
				<!-- border attribute - defines the thickness of the table border -->
					<thead>
						<!-- thead - is for the header of the table -->
						<tr>
							<!-- tr tag - defindes a table row -->
							<th colspan="2">Entity</th>
							<!-- Colspan attribute - changes the amount of columns a table element will occupy -->
							<th rowspan="2">Description</th>
							<!-- rowspan attribute - changes the amount of rows a table element will occupy. -->
							<!-- th tag - for the table header  -->
						</tr>

						<tr>
							<th>Symbol</th>
							<th>Name/Number</th>
						</tr>
					</thead>


					<tbody>
						<!-- this is for the body of the table -->
						<!-- this is the first row -->
						<tr>
							<!-- this is the first row -->
							<td>&lt;</td>
							<td>lt</td>
							<td>less thank</td>
						</tr>

						<tr>
							<!-- this is the second row -->
							<td>&gt;</td>
							<td>gt</td>
							<td>greater then</td>
						</tr>

						<tr>
							<!-- this is the third row -->
							<td>&#8369;</td>
							<td>#8369</td>
							<td>peso sign</td>
						</tr>

						<tr>
							<!-- this is the fourth row -->
							<td>&amp;</td>
							<td>amp</td>
							<td>ampersand</td>
						</tr>

						<tr>
							<!-- this is the fourth row -->
							<td>&quot;</td>
							<td>quot</td>
							<td>double quotation mark</td>
						</tr>

						<tr>
							<!-- this is the fifth row -->
							<td>&apos;</td>
							<td>apos</td>
							<td>single quotationmark (apostrophe)</td>
						</tr>

						<tr>
							<!-- this is the sixth row -->
							<td>&ntilde;</td>
							<td>ntilde</td>
							<td>Lower Tilde</td>
						</tr>

						<tr>
							<!-- this is the seventh row -->
							<td>&Ntilde;</td>
							<td>Ntilde</td>
							<td>Upper Tilde</td>
						</tr>
					</tbody>	


					<tfoot>
						<!-- this is for the footer of the table -->
						<tr>
							<th colspan="3">List of HMTL Entities</th>
						</tr>
					</tfoot>
			</table>
		</section>


		<!-- this section is for HTML Form -->
		<section>
			<h2>HTML Form</h2>

			<p>
				<em>Input elements that makes up a form.</em>
			</p>


			<form>
				<!-- text inputs -->
				<!-- label tag creates a text element that serve as the label for the input field -->
					<!-- type attribute will define what type of information the input field shoud be. -->
					<!-- name attribute -->
					<!-- for attribute is used with the id attribute in an input element. This allows the users to click the label. -->
				<label for="fullname">Full Name:</label> <br/>
				<input type="text" name="fullname" id="fullname" required/> <br/>

				<label for="birthdate">Birthdate:</label> <br>
				<input type="date" name="birthdate" id="birthdate"> <br/>

				<label for="age">Age:</label> <br/>
				<input type="number" name="age" id="age"> <br/>



				<!-- dropdown -->
				<label>Gender:</label> <br/>
				<select name="gender">
					<option value="male">Male</option>
					<option value="female">Female</option>
				</select> <br/>



				<!-- textarea -->
				<label for="notes">Notes</label> <br/>
				<textarea name="note" rows="5" cols="5" id="notes"> </textarea> <br/>



				<!-- Readio Button -->
				<label>New user:</label> <br/>
				
				<input type="radio" name="new_user" value="yes" id="yes">
				<label for="yes">Yes</label> 

				<input type="radio" name="new_user" value="no" id="no">
				<label for="no">No</label> <br/>




				<!-- checkbox -->
				<label>Role:</label> <br/>

				<input type="checkbox" name="role1" id="role1">
				<label for="role1">Developer</label> <br/>

				<input type="checkbox" name="role2" id="role2">
				<label for="role2">Student</label> <br>

				<input type="checkbox" name="role3" id="role3">
				<label for="role3">Manager</label> <br/>


				<button>Submit</button>
				<button type="reset">Reset</button>


			</form>



		</section>
	</main>
</body>
</html>